=== include/CMakeLists.txt ===


INSTALL( FILES ${CMAKE_CURRENT_SOURCE_DIR}/plist/plist.h
   DESTINATION include/plist COMPONENT dev)
