=== src/CMakeLists.txt ===

INCLUDE_DIRECTORIES( ${LIBXML2_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR} )
 

SET(libplist_SRC
	plist.c
	bplist.c
	xplist.c )

ADD_LIBRARY( plist SHARED ${libplist_SRC} )
TARGET_LINK_LIBRARIES( plist ${LIBXML2_LIBRARIES} ${GLIB2_LIBRARIES} )
SET_TARGET_PROPERTIES( plist PROPERTIES VERSION ${LIBPLIST_LIBVERSION} )
SET_TARGET_PROPERTIES( plist PROPERTIES SOVERSION ${LIBPLIST_SOVERSION} )

INSTALL(TARGETS plist
 RUNTIME DESTINATION bin COMPONENT lib
 LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT dev
 ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT dev)
