## libplist 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 PROJECT( libplist )
 
-SET( LIBPLIST_VERSION_MAJOR "0" )
-SET( LIBPLIST_VERSION_MINOR "12" )
-SET( LIBPLIST_SOVERSION "0" )
+SET( LIBPLIST_VERSION_MAJOR "1" )
+SET( LIBPLIST_VERSION_MINOR "1" )
+SET( LIBPLIST_SOVERSION "1" )
 SET( LIBPLIST_VERSION "${LIBPLIST_VERSION_MAJOR}.${LIBPLIST_VERSION_MINOR}" )
 SET( LIBPLIST_LIBVERSION "${LIBPLIST_SOVERSION}.${LIBPLIST_VERSION}" )
 SET( PLUTIL_VERSION ${LIBPLIST_VERSION} )
@@ -17,8 +17,14 @@
 
 FIND_PACKAGE( LibXml2 REQUIRED )
 FIND_PACKAGE( GLIB2 REQUIRED )
-FIND_PACKAGE( SWIG )
-FIND_PACKAGE( PythonLibs )
+
+OPTION(ENABLE_PYTHON "Enable Python bindings (needs Swig)" ON)
+
+IF(ENABLE_PYTHON)
+	FIND_PACKAGE( SWIG )
+	FIND_PACKAGE( PythonInterp )
+	FIND_PACKAGE( PythonLibs )
+ENDIF(ENABLE_PYTHON)
 
 INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_SOURCE_DIR}/include" )
 
@@ -29,9 +35,9 @@
 ADD_SUBDIRECTORY( include )
 ADD_SUBDIRECTORY( test )
 
-IF ( SWIG_FOUND AND PYTHON_LIBRARY )
+IF ( SWIG_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
 	ADD_SUBDIRECTORY( swig )
-ENDIF ( SWIG_FOUND AND PYTHON_LIBRARY )
+ENDIF ( SWIG_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
 
 # add uninstall target
 CONFIGURE_FILE(	"${CMAKE_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
@@ -39,8 +45,11 @@
 
 ########## PkgConfig ############################
 CONFIGURE_FILE( "libplist.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libplist.pc" )
+CONFIGURE_FILE( "libplist++.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libplist++.pc" )
+
 ########## INSTALL ##############################
 INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/libplist.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ )
+INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/libplist++.pc" DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ )
 
 ########## CPack ################################
 INCLUDE( libplistPackaging )
