## libplist 1.3

=== debian/changelog ===
libplist (1.3-2) unstable; urgency=low

  * debian/rules:
   - Run the test suit for all arches.
   - Pass -g to CFLAGS (Closes: #579119).
  * debian/README.Debian:
   - Remove since we run the test suit on all arches.
  * debian/watch:
   - Fix the detection of the version, thanks Paul McEnery.
  * debian/control:
   - Wrap build-depends and depends.
   - Bump Standards-Version to 3.9.1.0, no changes needed.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 08 Nov 2010 01:24:15 +0100

libplist (1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/
   - 04-ftbfs-armel.patch: Remove, merged upstream.
   - 05-plist_endian+align_fixes.patch: Remove, merged upstream.
  * debian/rules: Add DH_VERBOSE=1 to add verbosity when necessary.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 24 May 2010 23:04:10 +0200

libplist (1.2-3) unstable; urgency=medium

  * debian/patches/05-plist_endian+align_fixes.patch: Endianness, alignment and
    type-punning fixes for binary plist support. Thanks Julien BLACHE for the
    patch. (Closes: #570580).

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 10 Apr 2010 18:19:34 +0200

libplist (1.2-2) unstable; urgency=low

  * debian/rules: Really make the test suit fatal only on supported arches.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Wed, 07 Apr 2010 23:38:09 +0200

libplist (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #568131)
  * debian/watch: update with githubredir.debian.net
  * debian/patches :
   - 02-fix-test.patch: merged upstream.
   - 04-ftbfs-armel.patch: from Ubuntu, fix FTBFS for armel. Thanks Alexander
     Sack for the patch. (Closes: #574623)
  * debian/control: Bump Standards-Version to 3.8.4, no changes needed.
  * debian/rules: Make the test suit fatal on supported arches.
  * Switch to dpkg-source 3.0 (quilt) format.
   - debian/control: Remove quilt build-depends.
   - debian/rules: Remove --with quilt.
   - README.source: Remove.
  * README.Debian: Add a note about the supported arches.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 21 Mar 2010 18:46:25 +0100

libplist (1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules 
   - Rewrite to use dh7 and quilt.
   - Remove -DCMAKE_SKIP_RPATH=true, tests won't work without it. RPATH will be
     removed by patching upstream cmake system when it's needed.
  * debian/control: 
   - Build-depends on debhelper (>= 7.0.50~) and quilt (>= 0.46-7) for dh7 and
     quilt support.
   - Add VCS-* fields.
  * debian/01-libs.private.patch: Use Requires.private in *.pc files to not add
    unecessary links.
  * debian/02-fix-test.patch: From upstream (54f1ffb0...), fix test suit.
  * debian/03-remove-rpath.patch: Remove RPATH for python bindings.
  * debian/README.source: Add for quilt support.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 18 Jan 2010 00:49:27 +0100

libplist (1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/libplist*.install & debian/control: Bump SONAME version. 
  * debian/libpmist++-dev.install: Remove Utils.h, not shipped in the new 
    version.
  * debian/python-plist.install: Update to the new location.
  * debian/*.symbols: Add symbols files.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Tue, 08 Dec 2009 20:43:56 +0100

libplist (0.16-1) unstable; urgency=low

  * Adopt the package. Thanks Bradley Smith for his work. (Closes: #548594)
  * New upstream release (Closes: #557554).
  * debian/control:
   - Add libplist++{0,-dev} binaries for the new library.
   - Bump Standards-Version to 3.8.3, no changes needed.
   - Build-depends on python-all-dev
   - Switch to python-support.
   - Add Conflicts/Replace for -dev packages, some headers moved to the new 
     library.
   - Remove Vcs-* field.
   - Bump minimum version of swig to >= 1.3.36
   - Change name of the -dbg package, it contains debug symbols for the 2 
     libraries.
   - Avoid dupplicated Descriptions field.
   - Add a more verbose extended description (Closes: #530590)
  * debian/*.install: Reorganize with the new library.
  * debian/python-plist.install
   - Replace site-packages by *-packages for python 2.6 migration. 
     (Closes: #557822)
  * debian/rules & python-plist.preinst:
   - Switch to python-support and remove previous installed files by 
     python-central.
  * debian/plist.1 & debian/libplist-utils.man: Add a man page for plist.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 22 Nov 2009 13:51:02 -0600

libplist (0.13-2) unstable; urgency=low

  * Orphan package.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 27 Sep 2009 14:56:07 +0100

libplist (0.13-1) unstable; urgency=low

  * New upstream release.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 27 Sep 2009 14:43:59 +0100

libplist (0.12-2) unstable; urgency=low

  * Correctly install plutil. Closes: #531269.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 31 May 2009 11:06:53 +0100

libplist (0.12-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 12 May 2009 18:07:42 +0100

libplist (0.10-1) experimental; urgency=low

  * Initial release. Closes: #523926.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 13 Apr 2009 18:29:42 +0100
