=== debian/control ===
Source: libplist
Section: libs
Priority: optional
Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
Standards-Version: 3.9.1.0
Build-Depends: debhelper (>= 7.0.50~), 
               libglib2.0-dev,
               libxml2-dev,
               cmake,
               swig (>= 1.3.36),
               python-all-dev,
               python-support (>= 0.6.0)
XS-Python-Version: current
Homepage: http://github.com/JonathanBeck/libplist
Vcs-Git: git://github.com/gilir/libplist-debian.git
Vcs-Browser: http://github.com/gilir/libplist-debian/tree

Package: libplist1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.

Package: libplist++1
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
 .
 This library is the C++ implementation of the libplist API.

Package: libplist-dev
Architecture: any
Section: libdevel
Depends: libplist1 (= ${binary:Version}), 
         libxml2-dev,
         libglib2.0-dev,
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
 .
 This package contains the development files.

Package: libplist++-dev
Architecture: any
Section: libdevel
Depends: libplist1 (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev, ${misc:Depends}
Conflicts: libplist-dev (<= 0.13.2)
Replaces: libplist-dev (<= 0.13.2)
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
 .
 This package contains the development files of the liplist++0 library.

Package: libplist-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libplist1 (= ${binary:Version}),
         libplist++1 (= ${binary:Version}),
         ${misc:Depends}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
 .
 This package contains the debugging symbols.

Package: python-plist
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
 .
 This package contains the Python bindings

Package: libplist-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Apple property list converter
 This package containt tools to convert Apple property list files from binary
 to XML and vice-versa. It's part of the libiphone stack, providing access
 to Ipod and Iphone devices.
