=== debian/watch ===
version=3
http://githubredir.debian.net/github/JonathanBeck/libplist /v([\d\.].*).tar.gz
