## libplist 1.4

=== debian/changelog ===
libplist (1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
   - Remove additional CFLAGS to pass correct flags.
   - Add additional LDFLAGS.
   - Use filter instead of findstring to find noopt.
   - Build and clean doxygen documentation.
  * debian/libplist++1.symbols.amd64
   - Removed, since symbols are too unstable and easily FTBFS the package.
     Closes: #605846, #615661, #618150
  * Set urgency to medium to fix RC bug.
  * debian/watch:
   - Update location of the tarballs.
  * debian/docs
   - Add general documentation files.
  * debian/copyright:
   - Update to DEP5 format.
  * debian/01-libs.private.patch:
   - Update.
  * debian/libplist-doc.doc-base & debian/libplist.install:
   - Install libplist documentation.
  * debian/control:
   - Build-depends on doxygen for documentation support.
   - Add libplist-doc binary.
   - Replace references to libiphone by libimobiledevice.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 21 Mar 2011 17:36:21 +0100
