=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                cmake,
                swig (>= 1.3.36),
                python-all-dev,
-               python-support (>= 0.6.0)
+               python-support (>= 0.6.0),
+               doxygen
 XS-Python-Version: current
 Homepage: http://github.com/JonathanBeck/libplist
 Vcs-Git: git://github.com/gilir/libplist-debian.git
@@ -21,8 +22,8 @@
          ${misc:Depends}
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
 
 Package: libplist++1
 Architecture: any
@@ -30,8 +31,8 @@
          ${misc:Depends}
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
  .
  This library is the C++ implementation of the libplist API.
 
@@ -44,8 +45,8 @@
          ${misc:Depends}
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
  .
  This package contains the development files.
 
@@ -59,8 +60,8 @@
 Replaces: libplist-dev (<= 0.13.2)
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
  .
  This package contains the development files of the liplist++0 library.
 
@@ -73,8 +74,8 @@
          ${misc:Depends}
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
  .
  This package contains the debugging symbols.
 
@@ -87,8 +88,8 @@
 Provides: ${python:Provides}
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
- property lists format. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ property lists format. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
  .
  This package contains the Python bindings
 
@@ -99,5 +100,16 @@
          ${misc:Depends}
 Description: Apple property list converter
  This package containt tools to convert Apple property list files from binary
- to XML and vice-versa. It's part of the libiphone stack, providing access
- to Ipod and Iphone devices.
+ to XML and vice-versa. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
+
+Package: libplist-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: Library for handling Apple binary and XML property lists - docs
+ This package containt tools to convert Apple property list files from binary
+ to XML and vice-versa. It's part of the libimobildevice stack, providing
+ access to Ipod and Iphone devices.
+ .
+ This package contains the documentation.
