=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,9 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -O2 -Wall -g
-LDFLAGS = -Wl,--as-needed
+LDFLAGS += -Wl,--as-needed
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
     CFLAGS += -O0
 else
     CFLAGS += -O2
@@ -25,6 +24,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- 	$(configure_flags)
 
+override_dh_auto_build:
+	dh_auto_build
+	doxygen doxygen.cfg
+
 override_dh_install:
 	mv $(CURDIR)/debian/tmp/usr/bin/plutil-* \
 		$(CURDIR)/debian/tmp/usr/bin/plutil
@@ -33,6 +36,10 @@
 override_dh_strip:
 	dh_strip --dbg-package=libplist-dbg
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -Rf docs/
+
 #override_dh_auto_test:
 #Make the test suit fatal on supported arches (See README.Debian)
 #ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
