## libplist 1.6

=== debian/changelog ===
libplist (1.6-2) unstable; urgency=medium

  * debian/README.Debian :
   - Add to mention supported archs.
  * debian/rules:
   - Only run the test suit on supported archs. (Closes: #633457).

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sat, 23 Jul 2011 14:48:59 +0200

libplist (1.6-1) unstable; urgency=low

  * New upstream release.
  * 04-Add-missing-include-cstddef-to-fix-FTBFS-with-GCC-4-6.patch:
   - Remove, merged upstream.
  * debian/control:
   - Remove build-depends and depends of libglib2.0-dev.
   - Add DM-Upload-Allowed: yes
   - Build-depends on cmake (>= 2.8.4) for building the correct python
     extension.
  * debian/copyright:
   - Update copyright holders.
  * debian/libplist1.symbols:
   - Add new symbols.
  * debian/rules:
   - Clean generated files by the tests (Closes: #632057)
   - Build the correct python extension. Thanks Jakub Wilk for the patch.
     (Closes: #632056)

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 03 Jul 2011 22:00:50 +0200

libplist (1.4-2) unstable; urgency=low

  * debian/control:
   - Add references to iDevices and some examples.
   - Update Maintainer field, and add me to Uploaders.
   - Update Vcs-*.
   - Update Homepage.
   - Remove build-depends on python-support, to migrate to dh_python2.
   - Bump build-depends on python-all-dev (>= 2.6.6-3~), for dh_python2
     support.
   - Use X-Python-Version for supported python version.
   - Remove Provides.
   - Depends on libplist++1 for libplist++-dev, instead of libplist1
     (LP: #600338)
   - Fix typo in description (Closes: #620864).
   - Bump Standards-Version to 3.9.2 (no change needed).
   - Add depends on libjs-jquery for libplist-doc.
  * debian/python-plist.preinst:
   - Remove after Squeeze release.
  * debian/rules:
   - Use dh --with python2.
   - Parse only the default python version, we can only pass 1 version to
     configure.
   - Pass --no-guessing-versions to dh_python2 to build only with default
     python version.
  * debian/gbp.conf:
   - Add.
  * debian/patches/
   - 04-Add-missing-include-cstddef-to-fix-FTBFS-with-GCC-4-6.patch:
     From Ubuntu, Fix FTBFS with GCC 4.6 Closes: #624868, #624988, LP: #765982
  * debian/libplist.links:
   - Symlink jquery.js to the one available in Debian.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Mon, 02 May 2011 22:54:20 +0200
