=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,14 @@
     CFLAGS += -O2
 endif
 
-PYVER=$(shell pyversions -vr debian/control)
+PYVER=$(shell pyversions -vd)
 
 configure_flags += \
 			-DCMAKE_INSTALL_PREFIX="/usr" \
-			-DPYTHON_VERSION=$(PYVER)
+			-DPython_ADDITIONAL_VERSIONS=$(PYVER)
 
 %:
-	dh $@
+	dh --with python2 $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- 	$(configure_flags)
@@ -33,17 +33,22 @@
 		$(CURDIR)/debian/tmp/usr/bin/plutil
 	dh_install --fail-missing
 
+override_dh_python2:
+	# Only build for the current version of python, not all supported.
+	dh_python2 --no-guessing-versions
+
 override_dh_strip:
 	dh_strip --dbg-package=libplist-dbg
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -Rf docs/
+	rm -f test/data/*.out
 
-#override_dh_auto_test:
+override_dh_auto_test:
 #Make the test suit fatal on supported arches (See README.Debian)
-#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
-#	dh_auto_test
-#else
-#	dh_auto_test || true
-#endif
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
+	dh_auto_test
+else
+	dh_auto_test || true
+endif
