## libplist 1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROJECT( libplist )
 
 SET( LIBPLIST_VERSION_MAJOR "1" )
-SET( LIBPLIST_VERSION_MINOR "1" )
+SET( LIBPLIST_VERSION_MINOR "7" )
 SET( LIBPLIST_SOVERSION "1" )
 SET( LIBPLIST_VERSION "${LIBPLIST_VERSION_MAJOR}.${LIBPLIST_VERSION_MINOR}" )
 SET( LIBPLIST_LIBVERSION "${LIBPLIST_SOVERSION}.${LIBPLIST_VERSION}" )
@@ -16,7 +16,6 @@
 ENDIF(NOT DEFINED CMAKE_INSTALL_LIBDIR)
 
 FIND_PACKAGE( LibXml2 REQUIRED )
-FIND_PACKAGE( GLIB2 REQUIRED )
 
 OPTION(ENABLE_PYTHON "Enable Python bindings (needs Swig)" ON)
 
@@ -26,10 +25,25 @@
 	FIND_PACKAGE( PythonLibs )
 ENDIF(ENABLE_PYTHON)
 
-INCLUDE_DIRECTORIES( "${CMAKE_CURRENT_SOURCE_DIR}/include" )
+INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/include
+		     ${CMAKE_INCLUDE_PATH})
 
 ENABLE_TESTING()
 
+IF (NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/libcnary/CMakeLists.txt")
+  MESSAGE(FATAL_ERROR "
+You need to checkout the 'libcnary' submodule to build libplist.
+To do so, perform the following steps in the base directory:
+  git submodule init
+  git submodule update
+Then, run cmake again.")
+ENDIF()
+
+INCLUDE (TestBigEndian)
+TEST_BIG_ENDIAN(endianess)
+SET ( PLIST_BYTE_ORDER ${endianess} )
+
+ADD_SUBDIRECTORY( libcnary )
 ADD_SUBDIRECTORY( src )
 ADD_SUBDIRECTORY( plutil )
 ADD_SUBDIRECTORY( include )
