=== debian/changelog ===
libplist (1.8-2) experimental; urgency=low

  * debian/control:
   - Replace build-depends on swig by cython, to enable python bindings made
     by cython.
   - Build-depends on debhelper (>= 9.20120417~) to fix hardening with cmake.
   - Build-depends on chrpath.
   - Update to Standards-Version: 3.9.3, no change needed.
  * debian/python-plist.install:
   - Update files installed by cython.
  * debian/libplist++-dev.install:
   - Remove the swig files.
  * debian/rules:
   - Remove files generated by swig.
   - Remove rpath problem.
   - Fix dh sequence order.
  * debian/compat:
   - Bump to 9.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 20 Jul 2012 22:32:15 +0200

libplist (1.8-1) unstable; urgency=low

  * New upstream release.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Fri, 13 Jan 2012 20:52:44 +0100
