=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 			-DPython_ADDITIONAL_VERSIONS=$(PYVER)
 
 %:
-	dh --with python2 $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- 	$(configure_flags)
@@ -31,6 +31,15 @@
 override_dh_install:
 	mv $(CURDIR)/debian/tmp/usr/bin/plutil-* \
 		$(CURDIR)/debian/tmp/usr/bin/plutil
+
+	chrpath -d $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist.so
+
+	# Remove files generated by swig
+	rm -f $(CURDIR)/debian/tmp/usr/include/plist/swig/plist.i
+	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist/plist.py
+	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist/__init__.py
+	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist/_plist.so
+
 	dh_install --fail-missing
 
 override_dh_python2:
@@ -45,10 +54,10 @@
 	rm -Rf docs/
 	rm -f test/data/*.out
 
-override_dh_auto_test:
+#override_dh_auto_test:
 #Make the test suit fatal on supported arches (See README.Debian)
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
-	dh_auto_test
-else
-	dh_auto_test || true
-endif
+#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
+#	dh_auto_test
+#else
+#	dh_auto_test || true
+#endif
