## libplist 1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 PROJECT( libplist )
 
 SET( LIBPLIST_VERSION_MAJOR "1" )
-SET( LIBPLIST_VERSION_MINOR "7" )
+SET( LIBPLIST_VERSION_MINOR "10" )
 SET( LIBPLIST_SOVERSION "1" )
 SET( LIBPLIST_VERSION "${LIBPLIST_VERSION_MAJOR}.${LIBPLIST_VERSION_MINOR}" )
 SET( LIBPLIST_LIBVERSION "${LIBPLIST_SOVERSION}.${LIBPLIST_VERSION}" )
-SET( PLUTIL_VERSION ${LIBPLIST_VERSION} )
+SET( PLISTUTIL_VERSION ${LIBPLIST_VERSION} )
 
 SET( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_SOURCE_DIR}/cmake/modules )
 
@@ -17,13 +17,21 @@
 
 FIND_PACKAGE( LibXml2 REQUIRED )
 
-OPTION(ENABLE_PYTHON "Enable Python bindings (needs Swig)" ON)
+OPTION(ENABLE_SWIG "Enable SWIG Python bindings (needs Swig)" ON)
+OPTION(ENABLE_CYTHON "Enable Cython Python bindings (needs Cython)" ON)
 
-IF(ENABLE_PYTHON)
+IF(ENABLE_SWIG)
 	FIND_PACKAGE( SWIG )
+ENDIF(ENABLE_SWIG)
+
+IF(ENABLE_CYTHON)
+	FIND_PACKAGE( Cython )
+ENDIF(ENABLE_CYTHON)
+
+IF(ENABLE_SWIG OR ENABLE_CYTHON)
 	FIND_PACKAGE( PythonInterp )
 	FIND_PACKAGE( PythonLibs )
-ENDIF(ENABLE_PYTHON)
+ENDIF(ENABLE_SWIG OR ENABLE_CYTHON)
 
 INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/include
 		     ${CMAKE_INCLUDE_PATH})
@@ -45,13 +53,18 @@
 
 ADD_SUBDIRECTORY( libcnary )
 ADD_SUBDIRECTORY( src )
-ADD_SUBDIRECTORY( plutil )
+ADD_SUBDIRECTORY( plistutil )
 ADD_SUBDIRECTORY( include )
 ADD_SUBDIRECTORY( test )
+
+ADD_DEPENDENCIES( plist libcnary )
 
 IF ( SWIG_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
 	ADD_SUBDIRECTORY( swig )
 ENDIF ( SWIG_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
+IF ( CYTHON_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
+	ADD_SUBDIRECTORY( cython )
+ENDIF ( CYTHON_FOUND AND PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND )
 
 # add uninstall target
 CONFIGURE_FILE(	"${CMAKE_SOURCE_DIR}/cmake/modules/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
