=== debian/changelog ===
libplist (1.10-1) unstable; urgency=low

  [ Julien Lavergne ]
  * New upstream release (Closes: #706378)
  * debian/rules:
   - Remove workaround for moving plutil utils, since the name change
     completely.
  * debian/libplist++-dev.install:
   - Install new files.
  * debian/libplist1.symbols:
   - Update symbols.
  * debian/control:
   - Update VCS fields.
   - Update Standards-Version to 3.9.4.
   - Remove dm-upload-allowed.
  * debian/libplist++1.shlibs:
   - Add a shlibs file, since symbols file is too unstable.

  [ Chow Loong Jin ]
  * debian/{control,rules}: Multiarchify things
  * debian/control:
    - Mark lib packages as multi-arch same
    - Add dpkg-dev build-dep for default.mk include
  * debian/libplist*1.install: Update paths in install files for multiarch
  * debian/plistutils.manpages: Rename manpage to match binary rename
  * debian/rules: Update LDFLAGS handling and drop CFLAGS override
  * debian/lintian-overrides:
    - Add lintian-overrides for hardening-no-fortify-functions

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 16 Sep 2013 06:15:15 +0800
