=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Julien Lavergne <julien.lavergne@gmail.com>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9.20120417~),
+               dpkg-dev (>= 1.16.1),
                libxml2-dev,
                cmake (>= 2.8.4),
                cython,
@@ -13,14 +14,15 @@
                chrpath
 X-Python-Version: >= 2.5
 Homepage: http://www.libimobiledevice.org/
-Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libplist.git
+Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libplist.git -b debian
 Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libplist.git
-DM-Upload-Allowed: yes
 
 Package: libplist1
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
  property lists format. It's part of the libimobiledevice stack, providing
@@ -28,8 +30,10 @@
 
 Package: libplist++1
 Architecture: any
-Depends: ${shlibs:Depends}, 
+Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
  property lists format. It's part of the libimobiledevice stack, providing
@@ -40,7 +44,7 @@
 Package: libplist-dev
 Architecture: any
 Section: libdevel
-Depends: libplist1 (= ${binary:Version}), 
+Depends: libplist1 (= ${binary:Version}),
          libxml2-dev,
          ${misc:Depends}
 Description: Library for handling Apple binary and XML property lists
@@ -72,6 +76,8 @@
 Depends: libplist1 (= ${binary:Version}),
          libplist++1 (= ${binary:Version}),
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Library for handling Apple binary and XML property lists
  libplist is a library for reading and writing the Apple binary and XML
  property lists format. It's part of the libimobiledevice stack, providing
