=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,15 @@
 #!/usr/bin/make -f
 #DH_VERBOSE=1
 
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+include /usr/share/dpkg/default.mk
 
-LDFLAGS += -Wl,--as-needed
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O0
-else
-    CFLAGS += -O2
-endif
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 PYVER=$(shell pyversions -vd)
 
 configure_flags += \
 			-DCMAKE_INSTALL_PREFIX="/usr" \
+			-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 			-DPython_ADDITIONAL_VERSIONS=$(PYVER)
 
 %:
@@ -29,9 +23,6 @@
 	doxygen doxygen.cfg
 
 override_dh_install:
-	mv $(CURDIR)/debian/tmp/usr/bin/plutil-* \
-		$(CURDIR)/debian/tmp/usr/bin/plutil
-
 	chrpath -d $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist.so
 
 	# Remove files generated by swig
@@ -41,6 +32,17 @@
 	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist/_plist.so
 
 	dh_install --fail-missing
+
+manpage_name = plistutil-$(DEB_VERSION_UPSTREAM).1
+
+debian/$(manpage_name): debian/plistutil.1
+	cp $< $@
+
+override_dh_installman: debian/$(manpage_name)
+	dh_installman
+
+override_dh_link:
+	dh_link -p libplist-utils /usr/share/man/man1/$(manpage_name).gz /usr/share/man/man1/plistutil.1.gz
 
 override_dh_python2:
 	# Only build for the current version of python, not all supported.
